context("Generic tests")
test_that("Sanity checks", {
  #source("csindicators/R/TotalTimeExceedingThreshold.R")
  data <- 1:20
  threshold <- 10
  expect_warning(TotalTimeExceedingThreshold(data, threshold),
    "Parameter 'dates' is NULL and the index of the full data provided in 'data' is computed.")
  expect_equal(TotalTimeExceedingThreshold(data, threshold), 10)
  data <- array(1:40, c(x = 2, ftime = 20))
  expect_error(TotalTimeExceedingThreshold(data, threshold),
    "Could not find dimension 'time' in 1th object provided in 'data'.")    
  expect_equal(TotalTimeExceedingThreshold(data, threshold, time_dim = 'ftime'), 
               array(c(15, 15), c(x = 2)))
  dim(threshold) <- c(member = 1, ftime = 1)
  expect_equal(TotalTimeExceedingThreshold(data, threshold, time_dim = 'ftime'), 
               array(c(15, 15), c(x = 2)))
  expect_equal(TotalTimeExceedingThreshold(data, threshold, time_dim = 'x'),
               array(c(rep(0,5), rep(2,15)), c(ftime = 20)))
  expect_error(TotalTimeExceedingThreshold(data, threshold,
                               time_dim = 'x', ncores = 'Z'),
         "Parameter 'ncores' must be numeric")

  expect_equal(TotalTimeExceedingThreshold(data, threshold, time_dim = 2),
         array(c(15,15), c(x = 2)))

})

